aboutsummaryrefslogtreecommitdiff
path: root/ci/test
diff options
context:
space:
mode:
authorRuss Allbery <eagle@eyrie.org>2020-05-17 17:17:24 -0700
committerRuss Allbery <eagle@eyrie.org>2020-05-17 17:17:24 -0700
commit27662bbd5b1381e0e2b00e060bdb1c873cb22141 (patch)
tree3c0d1512e1c77fee62a904b2986bd20f9227e291 /ci/test
parentc138111a3c27863308b6552a5527a9e821a3dc11 (diff)
Switch to GitHub Actions for CI
Regenerate the documentation with patched DocKnot 3.04 to pick up the new status badge, which fixes a few other issues with documentation generation.
Diffstat (limited to 'ci/test')
-rwxr-xr-xci/test29
1 files changed, 29 insertions, 0 deletions
diff --git a/ci/test b/ci/test
new file mode 100755
index 0000000..efe4021
--- /dev/null
+++ b/ci/test
@@ -0,0 +1,29 @@
+#!/bin/sh
+#
+# Run tests for continuous integration.
+#
+# This script is normally run in a test container or VM, such as via GitHub
+# Actions.
+#
+# Copyright 2015-2020 Russ Allbery <eagle@eyrie.org>
+#
+# SPDX-License-Identifier: MIT
+
+set -eux
+
+# Normally, COMPILER and KERBEROS are set based on the CI matrix, but provide
+# a default in case someone runs this test by hand.
+COMPILER="${COMPILER:-gcc}"
+KERBEROS="${KERBEROS:-mit}"
+
+# Build everything.
+./bootstrap
+if [ "$KERBEROS" = 'heimdal' ]; then
+ ./configure CC="$COMPILER" PATH_KRB5_CONFIG=/usr/bin/krb5-config.heimdal
+else
+ ./configure CC="$COMPILER"
+fi
+make warnings
+
+# Run the tests.
+make check